import requests         #導入requests模組，呼 Http用
import json             #導入json模組


#正式機_帳號設定--------------------------------------------------------------------------------
appid="您的ID"  #APPID
appsecret="您的密鑰" #應用程式密鑰

#正式機_取得交易驗證碼網址----------------------------------------------------------------------
token_url = "https://owl.cmoney.com.tw/OwlApi/auth"

#組連線參數------------------------------------------------------------------------------------
token_params = "appId="+appid+"&appSecret="+appsecret
token_headers = {'content-type': "application/x-www-form-urlencoded"}  #POST表單，預設的編碼方式 (enctype)

#取得token------------------------------------------------------------------------------------
token_res = requests.request("POST", token_url, headers=token_headers, data=token_params)    #請求回覆的狀態 <Response [200]>

if (token_res.status_code==200):            #若請求http 200(成功)
    token_data=json.loads(token_res.text)   #將token_res的內容，用json.loads()解碼成python編碼
    token=token_data.get("token")           #取token值
    
    #呼叫 data API-------------------------------------------------------------------------------
    data_url="https://owl.cmoney.com.tw/OwlApi/api/v2/json/"
    pid="BCBC002-13900b"     #免費專區-三大法人，近3日買超 #商品代碼
    data_headers = {'authorization': "Bearer "+token}
    data_res = requests.request("GET", data_url+pid, headers=data_headers)
                
    if (data_res.status_code==200):         
        data=json.loads(data_res.text)
        print(data) #顯示資料
    
        
    else:
        print("取得資料連線錯誤!"+str(data_res.status_code))      

else: #無法取得資料時顯示
    print("取得token連線錯誤!"+str(token_res.status_code))
